SalesOS

Reports

Reporting and analytics

Get available report types

GET
/v1/reports/types

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

curl -X GET "https://api.salesos.org/v1/reports/types" \
  -H "Authorization: Bearer <token>"

Generate a report

POST
/v1/reports/generate

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Request Body

application/jsonRequired
typeRequiredstring
Value in: "PIPELINE" | "WIN_RATE" | "ACTIVITY" | "REVENUE" | "LEAD_CONVERSION" | "FORECAST" | "CUSTOM"
chartTypestring
Value in: "BAR" | "LINE" | "PIE" | "FUNNEL" | "TABLE" | "KPI"
groupBystring
Value in: "DAY" | "WEEK" | "MONTH" | "QUARTER" | "YEAR" | "OWNER" | "STAGE" | "SOURCE" | "INDUSTRY" | "TYPE"
filtersobject

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/reports/generate" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "PIPELINE",
    "chartType": "BAR",
    "groupBy": "DAY",
    "filters": {
      "dateRange": "TODAY",
      "startDate": "string",
      "endDate": "string",
      "ownerIds": [
        "string"
      ],
      "stages": [
        "string"
      ],
      "sources": [
        "string"
      ],
      "minAmount": 0,
      "maxAmount": 0
    }
  }'

{}

Get pipeline report

GET
/v1/reports/pipeline

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Query Parameters

dateRangestring
startDatestring
endDatestring
curl -X GET "https://api.salesos.org/v1/reports/pipeline?dateRange=%3Cstring%3E&startDate=%3Cstring%3E&endDate=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

{}

Get win rate report

GET
/v1/reports/win-rate

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Query Parameters

dateRangestring
startDatestring
endDatestring
groupBystring
curl -X GET "https://api.salesos.org/v1/reports/win-rate?dateRange=%3Cstring%3E&startDate=%3Cstring%3E&endDate=%3Cstring%3E&groupBy=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

{}

Get activity report

GET
/v1/reports/activities

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Query Parameters

dateRangestring
startDatestring
endDatestring
groupBystring
curl -X GET "https://api.salesos.org/v1/reports/activities?dateRange=%3Cstring%3E&startDate=%3Cstring%3E&endDate=%3Cstring%3E&groupBy=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

{}

Get revenue report

GET
/v1/reports/revenue

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Query Parameters

dateRangestring
startDatestring
endDatestring
curl -X GET "https://api.salesos.org/v1/reports/revenue?dateRange=%3Cstring%3E&startDate=%3Cstring%3E&endDate=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

{}

Get lead conversion report

GET
/v1/reports/lead-conversion

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Query Parameters

dateRangestring
startDatestring
endDatestring
curl -X GET "https://api.salesos.org/v1/reports/lead-conversion?dateRange=%3Cstring%3E&startDate=%3Cstring%3E&endDate=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

{}

Get sales forecast

GET
/v1/reports/forecast

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

curl -X GET "https://api.salesos.org/v1/reports/forecast" \
  -H "Authorization: Bearer <token>"

{}